# Project information
site_name: ETSI SDG OSL Documentation
site_description: ETSI SDG OSL Documentation page
site_author: OpenSlice by ETSI
site_url: https://osl.etsi.org/

# Repository
repo_name: OSL GitLab
repo_url: https://labs.etsi.org/rep/osl
edit_uri: ""
docs_dir: doc

# edit_uri: edit/docs-revamp/docs/
# edit_uri: blob/docs-revamp/docs/

# remote_name: origin
# remote_branch: gh-pages

# Theme and overrides, i.e. language partial
# https://squidfunk.github.io/mkdocs-material/creating-your-site/
theme:
  name: material

  # Don't include MkDocs' JavaScript
  #include_search_page: false
  #search_index_only: true

  # Default values, taken from mkdocs_theme.yml
  language: en
#  feature:
#    tabs: true
  features:
  - navigation.instant
  - navigation.instant.progress
  - navigation.top
  - navigation.footer
  - navigation.path
  - search
  - search.highlight
  - content.code.copy

  palette:
    primary: 'cyan'
    accent: 'blue'

  logo: 'images/logo_osl.png'
  favicon: images/favicon.png

  icon:
    repo: fontawesome/brands/gitlab

markdown_extensions:
  - pymdownx.highlight:
      anchor_linenums: true
      line_spans: __span
      pygments_lang_class: true
  - pymdownx.inlinehilite
  - pymdownx.snippets
  - pymdownx.superfences
  - pymdownx.tabbed:
      alternate_style: true 

plugins:
  - glightbox:
      touchNavigation: true
      loop: false
      effect: zoom
      slide_effect: slide
      width: 100%
      height: auto
      zoomable: true
      draggable: true
      skip_classes:
        - custom-skip-class-name
      auto_caption: false
      caption_position: bottom
      background: white
      shadow: true
      manual: false
  - markdownextradata: 
      jinja_options:
        variable_start_string: '{{{'
        variable_end_string: '}}}'
# Copyright
copyright: "Copyright &copy; 2025 ETSI OSL"

# Options
extra:
#  search:
#    languages: "en"
  social:
    - icon: fontawesome/solid/globe
      link: https://osl.etsi.org/
    - icon: fontawesome/brands/gitlab
      link: https://labs.etsi.org/rep/osl
    - icon: fontawesome/brands/linkedin
      link: https://www.linkedin.com/company/openslice/
    - icon: fontawesome/brands/x-twitter
      link: https://twitter.com/OpensliceOSS
  version:
    provider: mike
  documentation_version: "develop"

# Page tree
nav:
  - Overview:
    - Introduction: index.md
    - Deployment examples: deployment_examples.md
    - History: history.md
    - OpenSlice under ETSI: etsi_osl.md
  - Getting Started:
    - Deployment: 
      - Introduction: ./getting_started/deployment/introduction.md
      - Docker Compose: ./getting_started/deployment/docker_compose.md
      - Kubernetes: ./getting_started/deployment/kubernetes.md
    - Portals: ./getting_started/portals.md
    - Configuration/Management:
      - Introduction: ./getting_started/configuration/config_intro.md
      - Role/Keycloak management: ./getting_started/configuration/role_keycloak_management.md
      - NFV Orchestrator Configuration: ./getting_started/configuration/nfvo_config.md
      - Advanced topics:
        - Consuming Services From External OSS: ./getting_started/configuration/consuming_services_from_external_partners.md
  - NaaS:
    - Introduction: ./naas/introduction.md
    - Services:
      - Service Catalogs: ./naas/service_catalog.md
      - Service Specification: ./naas/service_spec.md
      - Service Ordering: ./naas/service_ordering.md
      - Service Inventory: ./naas/service_inventory.md
      - GSMA GST to TMF Service: ./naas/gst_to_tmf.md      
    - Resources:
      - Resources Catalogs:  ./naas/resource_catalog.md
      - Resources Specification: ./naas/resource_spec.md
      - Resources Inventory:  ./naas/resource_inventory.md
    - Service orchestration:
      - Introduction: ./naas/so_intro.md
      - Service Lifecycle management: ./naas/lcm_intro.md
      - LCM Rules Introduction: ./naas/lcm_rules_intro.md      
      - From Service order to services/resources: 
        - Exposing Kubernetes services: ./naas/so_servicespec_to_services_kubernetes.md
        - Exposing NFV Services: ./naas/so_servicespec_to_services_nfv.md
    - Supported TMFORUM exposed APIs: ./naas/exposed_apis.md
    - NFV support:
      - Introduction: ./naas/nfv/intro.md
      - NFV Services: ./naas/nfv/nfvservices.md
  - Service design:
    - Introduction: ./service_design/intro.md
    - Catalogs: ./service_design/catalogs.md
    - Support for Kubernetes:
      - Introduction: ./service_design/kubernetes/intro.md
      - Exposing Kubernetes Resources: ./service_design/kubernetes/exposing_kubernetes_resources.md
      - Design Helm as a Service: ./service_design/kubernetes/design_helm_aas.md
    - Support for NFV:
      - Design NFV Services: ./service_design/nfv/design_nfv_services.md
    - Support for Monitoring:
      - Design Monitoring Services: ./service_design/monitoring/design_monitoring_services.md 
    - LCM Rules:
      - Introduction: ./service_design/lcmrules/intro.md
      - Specification: ./service_design/lcmrules/specification.md
      - Typical Examples: ./service_design/lcmrules/examples.md
    - Examples: 
      - Introduction: ./service_design/examples/intro.md
      # - Open5GS (NFV approach): ./service_design/examples/open5gs_nfv.md
      # - Open5GS (Kubernetes approach): ./service_design/examples/open5gs_kubernetes.md
      - Calculator CRD aaS: ./service_design/examples/calculator_crd_aas/calculator_crd_aas.md
      - Jenkins Helm Installation aaS : ./service_design/examples/jenkins_helm_install_aas/jenkins_helm_install_aas.md
      - Monitoring aaS: ./service_design/examples/monitoring_aas/monitoring_aas.md
  - Service Ordering:
    - Ordering Services from catalogs: ./service_ordering/ordering_services.md
  # - Testing services:
  #   - Testing Specification: ./testing_services/test_spec.md
  #   - Testing Catalogs: ./testing_services/test_catalogs.md
  #   - Testing Inventory: ./testing_services/test_inventory.md
  # - Service as a Product:
  #   - Product Specification: ./product_model/product_spec.md
  #   - Product Catalogs: ./product_model/product_catalogs.md
  #   - Product Inventory: ./product_model/product_inventory.md
  # - Assurance services:
  #   - Introduction: ./assurance_services/intro.md
  #   - Alarms and Actions: ./assurance_services/alarms_actions.md
  - Addons:
    - Introduction: ./addons/intro.md
    - CAMARA:
      - Offering CAMARAaaS: ./addons/camara/intro.md
      - Quality on Demand: ./addons/camara/qod.md
  - Design & Architecture:
      - Architecture: ./architecture/architecture.md
      - Message bus: ./architecture/messagebus.md
      - OSOM: ./architecture/osom.md
      - CRIDGE: ./architecture/cridge.md
      - METRICO: ./architecture/metrico.md
      - Authentication: ./architecture/oauth.md
      - APIs:
        - TMF API: ./architecture/tmfapi.md
        - NFV API: ./architecture/nfvapi.md
      - Issue management: ./architecture/issuemgt.md
      - Central logging: ./architecture/centrallog.md
  - Contribute:
    - Developing: ./contribute/developing.md
    - Documenting: ./contribute/documenting.md
  - Terminology: terminology.md
